1. The 3.8 code for Fabrik is now available on github, in the 'master' branch. If you are familiar with updating Fabrik from github, we would appreciate it if you could test this code on J! 3.8 for us. Once we have some feedback, we'll build a 3.8 release.

JS error getLast is not a function

Discussion in 'Community' started by Bauer, Sep 2, 2017.

  1. Bauer

    Bauer Well-Known Member

    Level: Supporter
    I started getting this warning today...
    Uncaught TypeError: this.options.value.getLast is not a function

    A search for this on Google brought me back here - to this (unresolved?) thread in Pro support...
    J3.7/F3.6 Js error on cascading drop down | Fabrik

    A search of the web content in my project finds 'getLast()' referenced in 55 files - all but 4 of them have 'fabrik' in the path - the other 4 are media/sytem/js/mootools*.*

    So I take it mootols isn't getting loaded for some reason..

    The exact line that throws the error is Line 774 of plugins/fabrik_element/databasejoin/databasejoin.js
    which is...
    return this.options.value.getLast();
     
  2. cheesegrits

    cheesegrits Support Gopher Staff Member

    Level: Community
  3. Bauer

    Bauer Well-Known Member

    Level: Supporter
    Nope - looks like I don't have these changes, thanks.
     

Share This Page